//! Camp Cleanup
//! ===========other_range

fn is_contained_in(one_range: [u32; 2], other_range: [u32; 2]) -> bool {
    (one_range[0] >= other_range[0] && one_range[1] <= other_range[1]) || (other_range[0] >= one_range[0] && other_range[1] <= one_range[1])
}

pub fn count_lazy_elves(elf_pairs: &str) -> u32 {
    let mut lazy_elves_counter: u32 = 0;
    for elf_pair in elf_pairs.lines() {
        let pair_split = elf_pair.split(',');
        // Get each elves as a vector of 2 u32
        let one_elf: Vec<u32> = pair_split.clone()
            .nth(0)
            .unwrap()
            .split('-')
            .map(|s| s.parse().unwrap())
            .collect();
        let other_elf: Vec<u32> = pair_split.clone()
            .nth(1)
            .unwrap()
            .split('-')
            .map(|s| s.parse().unwrap())
            .collect();
        if is_contained_in([one_elf[0], one_elf[1]], [other_elf[0], other_elf[1]]) {
            lazy_elves_counter += 1;
        }
    }
    lazy_elves_counter
}
